package com.jeequan.jeepay.service.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeequan.jeepay.db.entity.BankBranchLkl;

public interface BankBranchLklMapper extends BaseMapper<BankBranchLkl> {

    /**
     * 根据支行联行号获取对应的银行信息
     *
     * @param contactLine 联行号
     * @return
     */
    default BankBranchLkl selectByContactLine(String contactLine) {
        LambdaQueryWrapper<BankBranchLkl> qWrapper = new LambdaQueryWrapper<BankBranchLkl>()
                .eq(BankBranchLkl::getContactLine, contactLine);
        return selectOne(qWrapper);
    }
}
